* {
  box-sizing: border-box;
}

body {
    color: white;
    background-image: url("assets/bgs/b1.gif");
    background-repeat: repeat;
    font-family: "Ubuntu", sans-serif;
    margin-left: 400px;
    margin-right: 400px;
}

a:link {
  color: white;
}

a:visited {
  color: grey;
}

a:hover {
  color: red;
}

a:active {
  color: white;
}

.container {
    display: grid;
    grid-gap: 0px;
    grid-template:
    "header header"
    "sidebar main"
    "footer footer"
    / 1fr 4fr;
}

.header {
    grid-area: header;
    border-radius: 20px 20px 0px 0px;
    border: 2px solid grey;
    background-color: black;
    padding-left: 40px;
    width: 100%;
}

.header h1 {
    font-family: "Jaro", sans-serif;
    font-style: italic;
    font-size: 50px;
    text-shadow: 3px 3px 3px red;
}

.sidebar {
    grid-area: sidebar;
    border: 2px solid grey;
    border-top: 0px;
    border-bottom: 0px;
    height: 700px;
    background-color: black;
    padding-left: 5px;
    max-height: 700px;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    h1, h2, h3, h4 {
    font-style: italic;
    text-decoration: underline;
    text-shadow: 3px 3px 3px red;
    }
}

.sidebar::-webkit-scrollbar {
    display: none;
}

.main {
    grid-area: main;
    width: 100%;
    border-right: 2px solid grey;
    padding-left: 15px;
    padding-right: 15px;
    height: 700px;
    max-height: 700px;
    background-color: black;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    h1 {
    font-family: "Jaro", sans-serif;
    font-style: italic;
    font-size: 50px;
    text-shadow: 3px 3px 3px red;
    margin-top: -1px;
    }
    h2 {
    font-family: "Jaro", sans-serif;
    font-style: italic;
    text-shadow: 3px 3px 3px red;
    margin-top: -1px;
    font-size: 40px;
    }
    hr {
    border: 0px transparent;
    border-top: 2px dashed red;
    margin-top: -20px;
    }
}

.main::-webkit-scrollbar {
    display: none;
}

.half {
    width: 50%; 
    max-height: 450px; 
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
.half::-webkit-scrollbar {
    display: none;
}

.feed {
    height: 250px;
    max-height: 250px;
    background-color: rgba(100,100,100,.3);
    border: 2px dashed grey;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
.feed::-webkit-scrollbar {
    display: none;
}

.footer {
    grid-area: footer;
    border-radius: 0px 0px 20px 20px;
    border: 2px solid grey;
    background-color: black;
    text-align: center;
    width: 100%;
}